#ifndef __UNIFORM_BUFFER_H__
#define __UNIFORM_BUFFER_H__

typedef struct UniformBuffer {
    size_t size;
    uint32_t ubo;
} UniformBuffer;

UniformBuffer* create_uniform_buffer(size_t size);
void set_uniform_data(UniformBuffer* buffer, void* data);

#endif
